<?php
defined('BASEPATH') or exit('No direct script access allowed');
class Popup extends CI_Controller
{
	/**
	 * Index Page for this controller.
	 *
	 * Maps to the following URL
	 * 		http://example.com/index.php/welcome
	 *	- or -
	 * 		http://example.com/index.php/welcome/index
	 *	- or -
	 * Since this controller is set as the default controller in
	 * config/routes.php, it's displayed at http://example.com/
	 *
	 * So any other public methods not prefixed with an underscore will
	 * map to /index.php/welcome/<method_name>
	 * @see https://codeigniter.com/user_guide/general/urls.html
	 */

	public function __construct()
	{
		parent::__construct();
		$this->load->model('M_jenis_pelayanan');
	}

	public function tambah_sesi_pka()
	{
		$data["id_modal"] = $this->input->post('id_modal', TRUE);
		$this->load->view('popups/v_tambah_sesi_pka', $data);
	}

	public function edit_sesi_pka()
	{
		$data["id_modal"] = $this->input->post('id_modal', TRUE);
		$data["id_row"] = $this->input->post('id_row', TRUE);
		$this->load->view('popups/v_edit_sesi_pka', $data);
	}

	public function tambah_unit_misioner()
	{
		$data["id_modal"] = $this->input->post('id_modal', TRUE);
		// $data["id_row"] = $this->input->post('id_row',TRUE);
		$this->load->view('popups/v_tambah_unit_misioner', $data);
	}

	public function edit_unit_misioner()
	{
		$data["id_modal"] = $this->input->post('id_modal', TRUE);
		$data["id_row"] = $this->input->post('id_row', TRUE);
		$this->load->view('popups/v_edit_unit_misioner', $data);
	}

	public function tambah_bidang()
	{
		$data["id_modal"] = $this->input->post('id_modal', TRUE);
		// $data["id_row"] = $this->input->post('id_row',TRUE);
		$this->load->view('popups/v_tambah_bidang', $data);
	}

	public function edit_bidang()
	{
		$data["id_modal"] = $this->input->post('id_modal', TRUE);
		$data["id_row"] = $this->input->post('id_row', TRUE);
		$this->load->view('popups/v_edit_bidang', $data);
	}

	public function tambah_jenis_kegiatan()
	{
		$data["id_modal"] = $this->input->post('id_modal', TRUE);
		// $data["id_row"] = $this->input->post('id_row',TRUE);
		$this->load->view('popups/v_tambah_jenis_kegiatan', $data);
	}

	public function edit_jenis_kegiatan()
	{
		$data["id_modal"] = $this->input->post('id_modal', TRUE);
		$data["id_row"] = $this->input->post('id_row', TRUE);
		$this->load->view('popups/v_edit_jenis_kegiatan', $data);
	}

	public function tambah_prioritas_kegiatan()
	{
		$data["id_modal"] = $this->input->post('id_modal', TRUE);
		// $data["id_row"] = $this->input->post('id_row',TRUE);
		$this->load->view('popups/v_tambah_prioritas_kegiatan', $data);
	}

	public function edit_prioritas_kegiatan()
	{
		$data["id_modal"] = $this->input->post('id_modal', TRUE);
		$data["id_row"] = $this->input->post('id_row', TRUE);
		$this->load->view('popups/v_edit_prioritas_kegiatan', $data);
	}

	public function tambah_head_strategi()
	{
		$data["id_modal"] = $this->input->post('id_modal', TRUE);
		$this->load->view('popups/v_tambah_head_strategi', $data);
	}

	public function tambah_nomor_strategi()
	{
		$data["id_modal"] = $this->input->post('id_modal', TRUE);
		$data["id_row"] = $this->input->post('id_row', TRUE);
		$data["id_row2"] = $this->input->post('id_row2', TRUE);
		$this->load->view('popups/v_tambah_nomor_strategi', $data);
	}

	public function detail_nomor_strategi()
	{
		$data["id_modal"] = $this->input->post('id_modal', TRUE);
		$data["id_row"] = $this->input->post('id_row', TRUE);
		$data["id_row2"] = $this->input->post('id_row2', TRUE);
		$this->load->view('popups/v_detail_nomor_strategi', $data);
	}

	public function edit_nomor_strategi()
	{
		$data["id_modal"] = $this->input->post('id_modal', TRUE);
		$data["id_row"] = $this->input->post('id_row', TRUE);
		$data["id_row2"] = $this->input->post('id_row2', TRUE);
		$this->load->view('popups/v_edit_nomor_strategi', $data);
	}

	public function evaluasi_pka()
	{
		$data["id_modal"] = $this->input->post('id_modal', TRUE);
		$data["id_row"] = $this->input->post('id_row', TRUE);
		$this->load->view('popups/v_evaluasi_pka', $data);
	}

	public function detail_evaluasi_pka()
	{
		$data["id_modal"] = $this->input->post('id_modal', TRUE);
		$data["id_row"] = $this->input->post('id_row', TRUE);
		$this->load->view('popups/v_detail_evaluasi_pka', $data);
	}

	public function edit_evaluasi_pka()
	{
		$data["id_modal"] = $this->input->post('id_modal', TRUE);
		$data["id_row"] = $this->input->post('id_row', TRUE);
		$this->load->view('popups/v_edit_evaluasi_pka', $data);
	}

	public function revisi_evaluasi_pka()
	{
		$data["id_modal"] = $this->input->post('id_modal', TRUE);
		$data["id_row"] = $this->input->post('id_row', TRUE);
		$this->load->view('popups/v_revisi_evaluasi_pka', $data);
	}


	// Jenis Pelayanan
	public function tambah_jenis_pelayanan()
	{
		$data["id_modal"] = $this->input->post('id_modal', TRUE);
		$this->load->view('popups/v_tambah_jenis_pelayanan', $data);
	}

	public function edit_jenis_pelayanan()
	{
		$data["id_modal"] = $this->input->post('id_modal', TRUE);
		$data["id_row"] = $this->input->post('id_row', TRUE);
		$this->load->view('popups/v_edit_jenis_pelayanan', $data);
	}

	// Pelayanan
	public function tambah_pelayanan()
	{
		$data["id_modal"] = $this->input->post('id_modal', TRUE);
		$data['jenis_pelayanan'] = $this->M_jenis_pelayanan->get_all();

		$this->load->view('popups/v_tambah_pelayanan', $data);
	}

	public function edit_pelayanan()
	{
		$data["id_modal"] = $this->input->post('id_modal', TRUE);
		$data["id_row"] = $this->input->post('id_row', TRUE);
		$data['jenis_pelayanan'] = $this->M_jenis_pelayanan->get_all();

		$this->load->view('popups/v_edit_pelayanan', $data);
	}
	public function tambah_evtri()
	{
		$data["id_modal"] = $this->input->post('id_modal', TRUE);
		$data["id_row"] = $this->input->post('id_row', TRUE);
		$this->load->view('popups/v_tambah_ev_tri', $data);
	}
	public function edit_evtri()
	{
		$data["id_modal"] = $this->input->post('id_modal', TRUE);
		$data["id_row"] = $this->input->post('id_row', TRUE);
		$this->load->view('popups/v_edit_ev_tri', $data);
	}
	public function detail_evtri()
	{
		$data["id_modal"] = $this->input->post('id_modal', TRUE);
		$data["id_row"] = $this->input->post('id_row', TRUE);
		$this->load->view('popups/v_detail_ev_tri', $data);
	}
	public function detail_evtri_adm()
	{
		$data["id_modal"] = $this->input->post('id_modal', TRUE);
		$data["id_row"] = $this->input->post('id_row', TRUE);
		$this->load->view('popups/v_detail_ev_tri_adm', $data);
	}
}
